Generation Framework

## org.eclipse.gmf.gmfgraph.util
Class GMFGraphSwitch<T>

    java.lang.Object
      org.eclipse.gmf.gmfgraph.util.GMFGraphSwitch<T>

Direct Known Subclasses:
  RuntimeFQNSwitch, RuntimeLiteFQNSwitch

    public class GMFGraphSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFGraphPackage`
** Generated **

Field Summary
`protected static GMFGraphPackage` `modelPackage` The cached model package

Constructor Summary
`GMFGraphSwitch()` Creates an instance of the switch

Method Summary
`T` `caseAbstractFigure(AbstractFigure object)` Returns the result of interpretting the object as an instance of 'Abstract Figure'
`T` `caseAbstractNode(AbstractNode object)` Returns the result of interpretting the object as an instance of 'Abstract Node'
`T` `caseAlignmentFacet(AlignmentFacet object)` Returns the result of interpretting the object as an instance of 'Alignment Facet'
`T` `caseBasicFont(BasicFont object)` Returns the result of interpretting the object as an instance of 'Basic Font'
`T` `caseBorder(Border object)` Returns the result of interpretting the object as an instance of 'Border'
`T` `caseBorderLayout(BorderLayout object)` Returns the result of interpretting the object as an instance of 'Border Layout'
`T` `caseBorderLayoutData(BorderLayoutData object)` Returns the result of interpretting the object as an instance of 'Border Layout Data'
`T` `caseCanvas(Canvas object)` Returns the result of interpretting the object as an instance of 'Canvas'
`T` `caseChildAccess(ChildAccess object)` Returns the result of interpretting the object as an instance of 'Child Access'
`T` `caseColor(Color object)` Returns the result of interpretting the object as an instance of 'Color'
`T` `caseCompartment(Compartment object)` Returns the result of interpretting the object as an instance of 'Compartment'
`T` `caseCompoundBorder(CompoundBorder object)` Returns the result of interpretting the object as an instance of 'Compound Border'
`T` `caseConnection(Connection object)` Returns the result of interpretting the object as an instance of 'Connection'
`T` `caseConnectionFigure(ConnectionFigure object)` Returns the result of interpretting the object as an instance of 'Connection Figure'
`T` `caseConstantColor(ConstantColor object)` Returns the result of interpretting the object as an instance of 'Constant Color'
`T` `caseCustomAttribute(CustomAttribute object)` Returns the result of interpretting the object as an instance of 'Custom Attribute'
`T` `caseCustomBorder(CustomBorder object)` Returns the result of interpretting the object as an instance of 'Custom Border'
`T` `caseCustomClass(CustomClass object)` Returns the result of interpretting the object as an instance of 'Custom Class'
`T` `caseCustomConnection(CustomConnection object)` Returns the result of interpretting the object as an instance of 'Custom Connection'
`T` `caseCustomDecoration(CustomDecoration object)` Returns the result of interpretting the object as an instance of 'Custom Decoration'
`T` `caseCustomFigure(CustomFigure object)` Returns the result of interpretting the object as an instance of 'Custom Figure'
`T` `caseCustomLayout(CustomLayout object)` Returns the result of interpretting the object as an instance of 'Custom Layout'
`T` `caseCustomLayoutData(CustomLayoutData object)` Returns the result of interpretting the object as an instance of 'Custom Layout Data'
`T` `caseDecorationFigure(DecorationFigure object)` Returns the result of interpretting the object as an instance of 'Decoration Figure'
`T` `caseDefaultSizeFacet(DefaultSizeFacet object)` Returns the result of interpretting the object as an instance of 'Default Size Facet'
`T` `caseDiagramElement(DiagramElement object)` Returns the result of interpretting the object as an instance of 'Diagram Element'
`T` `caseDiagramLabel(DiagramLabel object)` Returns the result of interpretting the object as an instance of 'Diagram Label'
`T` `caseDimension(Dimension object)` Returns the result of interpretting the object as an instance of 'Dimension'
`T` `caseEllipse(Ellipse object)` Returns the result of interpretting the object as an instance of 'Ellipse'
`T` `caseFigure(Figure object)` Returns the result of interpretting the object as an instance of 'Figure'
`T` `caseFigureAccessor(FigureAccessor object)` Returns the result of interpretting the object as an instance of 'Figure Accessor'
`T` `caseFigureDescriptor(FigureDescriptor object)` Returns the result of interpretting the object as an instance of 'Figure Descriptor'
`T` `caseFigureGallery(FigureGallery object)` Returns the result of interpretting the object as an instance of 'Figure Gallery'
`T` `caseFigureRef(FigureRef object)` Returns the result of interpretting the object as an instance of 'Figure Ref'
`T` `caseFlowLayout(FlowLayout object)` Returns the result of interpretting the object as an instance of 'Flow Layout'
`T` `caseFont(Font object)` Returns the result of interpretting the object as an instance of 'Font'
`T` `caseGeneralFacet(GeneralFacet object)` Returns the result of interpretting the object as an instance of 'General Facet'
`T` `caseGradientFacet(GradientFacet object)` Returns the result of interpretting the object as an instance of 'Gradient Facet'
`T` `caseGridLayout(GridLayout object)` Returns the result of interpretting the object as an instance of 'Grid Layout'
`T` `caseGridLayoutData(GridLayoutData object)` Returns the result of interpretting the object as an instance of 'Grid Layout Data'
`T` `caseIdentity(Identity object)` Returns the result of interpretting the object as an instance of 'Identity'
`T` `caseInsets(Insets object)` Returns the result of interpretting the object as an instance of 'Insets'
`T` `caseLabel(Label object)` Returns the result of interpretting the object as an instance of 'Label'
`T` `caseLabeledContainer(LabeledContainer object)` Returns the result of interpretting the object as an instance of 'Labeled Container'
`T` `caseLabelOffsetFacet(LabelOffsetFacet object)` Returns the result of interpretting the object as an instance of 'Label Offset Facet'
`T` `caseLayout(Layout object)` Returns the result of interpretting the object as an instance of 'Layout'
`T` `caseLayoutable(Layoutable object)` Returns the result of interpretting the object as an instance of 'Layoutable'
`T` `caseLayoutData(LayoutData object)` Returns the result of interpretting the object as an instance of 'Layout Data'
`T` `caseLineBorder(LineBorder object)` Returns the result of interpretting the object as an instance of 'Line Border'
`T` `caseMarginBorder(MarginBorder object)` Returns the result of interpretting the object as an instance of 'Margin Border'
`T` `caseNode(Node object)` Returns the result of interpretting the object as an instance of 'Node'
`T` `casePoint(Point object)` Returns the result of interpretting the object as an instance of 'Point'
`T` `casePolygon(Polygon object)` Returns the result of interpretting the object as an instance of 'Polygon'
`T` `casePolygonDecoration(PolygonDecoration object)` Returns the result of interpretting the object as an instance of 'Polygon Decoration'
`T` `casePolyline(Polyline object)` Returns the result of interpretting the object as an instance of 'Polyline'
`T` `casePolylineConnection(PolylineConnection object)` Returns the result of interpretting the object as an instance of 'Polyline Connection'
`T` `casePolylineDecoration(PolylineDecoration object)` Returns the result of interpretting the object as an instance of 'Polyline Decoration'
`T` `caseRealFigure(RealFigure object)` Returns the result of interpretting the object as an instance of 'Real Figure'
`T` `caseRectangle(Rectangle object)` Returns the result of interpretting the object as an instance of 'Rectangle'
`T` `caseRGBColor(RGBColor object)` Returns the result of interpretting the object as an instance of 'RGB Color'
`T` `caseRoundedRectangle(RoundedRectangle object)` Returns the result of interpretting the object as an instance of 'Rounded Rectangle'
`T` `caseScalablePolygon(ScalablePolygon object)` Returns the result of interpretting the object as an instance of 'Scalable Polygon'
`T` `caseShape(Shape object)` Returns the result of interpretting the object as an instance of 'Shape'
`T` `caseStackLayout(StackLayout object)` Returns the result of interpretting the object as an instance of 'Stack Layout'
`T` `caseVisualFacet(VisualFacet object)` Returns the result of interpretting the object as an instance of 'Visual Facet'
`T` `caseXYLayout(XYLayout object)` Returns the result of interpretting the object as an instance of 'XY Layout'
`T` `caseXYLayoutData(XYLayoutData object)` Returns the result of interpretting the object as an instance of 'XY Layout Data'
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGraphPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFGraphSwitch

    public GMFGraphSwitch()

  Creates an instance of the switch.

  ** Generated **

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseCanvas

    public T caseCanvas(Canvas object)

  Returns the result of interpretting the object as an instance of 'Canvas'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Canvas'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureGallery

    public T caseFigureGallery(FigureGallery object)

  Returns the result of interpretting the object as an instance of 'Figure Gallery'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Gallery'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseIdentity

    public T caseIdentity(Identity object)

  Returns the result of interpretting the object as an instance of 'Identity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Identity'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramElement

    public T caseDiagramElement(DiagramElement object)

  Returns the result of interpretting the object as an instance of 'Diagram Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Diagram Element'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAbstractNode

    public T caseAbstractNode(AbstractNode object)

  Returns the result of interpretting the object as an instance of 'Abstract Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Abstract Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNode

    public T caseNode(Node object)

  Returns the result of interpretting the object as an instance of 'Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseChildAccess

    public T caseChildAccess(ChildAccess object)

  Returns the result of interpretting the object as an instance of 'Child Access'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Child Access'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRealFigure

    public T caseRealFigure(RealFigure object)

  Returns the result of interpretting the object as an instance of 'Real Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Real Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnection

    public T caseConnection(Connection object)

  Returns the result of interpretting the object as an instance of 'Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompartment

    public T caseCompartment(Compartment object)

  Returns the result of interpretting the object as an instance of 'Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compartment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramLabel

    public T caseDiagramLabel(DiagramLabel object)

  Returns the result of interpretting the object as an instance of 'Diagram Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Diagram Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseVisualFacet

    public T caseVisualFacet(VisualFacet object)

  Returns the result of interpretting the object as an instance of 'Visual Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Visual Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGeneralFacet

    public T caseGeneralFacet(GeneralFacet object)

  Returns the result of interpretting the object as an instance of 'General Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'General Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAlignmentFacet

    public T caseAlignmentFacet(AlignmentFacet object)

  Returns the result of interpretting the object as an instance of 'Alignment Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Alignment Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGradientFacet

    public T caseGradientFacet(GradientFacet object)

  Returns the result of interpretting the object as an instance of 'Gradient Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gradient Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelOffsetFacet

    public T caseLabelOffsetFacet(LabelOffsetFacet object)

  Returns the result of interpretting the object as an instance of 'Label Offset Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label Offset Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDefaultSizeFacet

    public T caseDefaultSizeFacet(DefaultSizeFacet object)

  Returns the result of interpretting the object as an instance of 'Default Size Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Default Size Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigure

    public T caseFigure(Figure object)

  Returns the result of interpretting the object as an instance of 'Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureDescriptor

    public T caseFigureDescriptor(FigureDescriptor object)

  Returns the result of interpretting the object as an instance of 'Figure Descriptor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Descriptor'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAbstractFigure

    public T caseAbstractFigure(AbstractFigure object)

  Returns the result of interpretting the object as an instance of 'Abstract Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Abstract Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureRef

    public T caseFigureRef(FigureRef object)

  Returns the result of interpretting the object as an instance of 'Figure Ref'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Ref'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnectionFigure

    public T caseConnectionFigure(ConnectionFigure object)

  Returns the result of interpretting the object as an instance of 'Connection Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Connection Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDecorationFigure

    public T caseDecorationFigure(DecorationFigure object)

  Returns the result of interpretting the object as an instance of 'Decoration Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Decoration Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShape

    public T caseShape(Shape object)

  Returns the result of interpretting the object as an instance of 'Shape'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Shape'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabel

    public T caseLabel(Label object)

  Returns the result of interpretting the object as an instance of 'Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabeledContainer

    public T caseLabeledContainer(LabeledContainer object)

  Returns the result of interpretting the object as an instance of 'Labeled Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Labeled Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRectangle

    public T caseRectangle(Rectangle object)

  Returns the result of interpretting the object as an instance of 'Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rectangle'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRoundedRectangle

    public T caseRoundedRectangle(RoundedRectangle object)

  Returns the result of interpretting the object as an instance of 'Rounded Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rounded Rectangle'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEllipse

    public T caseEllipse(Ellipse object)

  Returns the result of interpretting the object as an instance of 'Ellipse'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Ellipse'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolyline

    public T casePolyline(Polyline object)

  Returns the result of interpretting the object as an instance of 'Polyline'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolygon

    public T casePolygon(Polygon object)

  Returns the result of interpretting the object as an instance of 'Polygon'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseScalablePolygon

    public T caseScalablePolygon(ScalablePolygon object)

  Returns the result of interpretting the object as an instance of 'Scalable Polygon'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Scalable Polygon'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolylineConnection

    public T casePolylineConnection(PolylineConnection object)

  Returns the result of interpretting the object as an instance of 'Polyline Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolylineDecoration

    public T casePolylineDecoration(PolylineDecoration object)

  Returns the result of interpretting the object as an instance of 'Polyline Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolygonDecoration

    public T casePolygonDecoration(PolygonDecoration object)

  Returns the result of interpretting the object as an instance of 'Polygon Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomClass

    public T caseCustomClass(CustomClass object)

  Returns the result of interpretting the object as an instance of 'Custom Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Class'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomFigure

    public T caseCustomFigure(CustomFigure object)

  Returns the result of interpretting the object as an instance of 'Custom Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomDecoration

    public T caseCustomDecoration(CustomDecoration object)

  Returns the result of interpretting the object as an instance of 'Custom Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomConnection

    public T caseCustomConnection(CustomConnection object)

  Returns the result of interpretting the object as an instance of 'Custom Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseColor

    public T caseColor(Color object)

  Returns the result of interpretting the object as an instance of 'Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRGBColor

    public T caseRGBColor(RGBColor object)

  Returns the result of interpretting the object as an instance of 'RGB Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RGB Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConstantColor

    public T caseConstantColor(ConstantColor object)

  Returns the result of interpretting the object as an instance of 'Constant Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constant Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFont

    public T caseFont(Font object)

  Returns the result of interpretting the object as an instance of 'Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBasicFont

    public T caseBasicFont(BasicFont object)

  Returns the result of interpretting the object as an instance of 'Basic Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Basic Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePoint

    public T casePoint(Point object)

  Returns the result of interpretting the object as an instance of 'Point'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Point'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDimension

    public T caseDimension(Dimension object)

  Returns the result of interpretting the object as an instance of 'Dimension'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Dimension'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseInsets

    public T caseInsets(Insets object)

  Returns the result of interpretting the object as an instance of 'Insets'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Insets'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorder

    public T caseBorder(Border object)

  Returns the result of interpretting the object as an instance of 'Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLineBorder

    public T caseLineBorder(LineBorder object)

  Returns the result of interpretting the object as an instance of 'Line Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Line Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMarginBorder

    public T caseMarginBorder(MarginBorder object)

  Returns the result of interpretting the object as an instance of 'Margin Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Margin Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompoundBorder

    public T caseCompoundBorder(CompoundBorder object)

  Returns the result of interpretting the object as an instance of 'Compound Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compound Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomBorder

    public T caseCustomBorder(CustomBorder object)

  Returns the result of interpretting the object as an instance of 'Custom Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayoutData

    public T caseLayoutData(LayoutData object)

  Returns the result of interpretting the object as an instance of 'Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomLayoutData

    public T caseCustomLayoutData(CustomLayoutData object)

  Returns the result of interpretting the object as an instance of 'Custom Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGridLayoutData

    public T caseGridLayoutData(GridLayoutData object)

  Returns the result of interpretting the object as an instance of 'Grid Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorderLayoutData

    public T caseBorderLayoutData(BorderLayoutData object)

  Returns the result of interpretting the object as an instance of 'Border Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayoutable

    public T caseLayoutable(Layoutable object)

  Returns the result of interpretting the object as an instance of 'Layoutable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layoutable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayout

    public T caseLayout(Layout object)

  Returns the result of interpretting the object as an instance of 'Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomLayout

    public T caseCustomLayout(CustomLayout object)

  Returns the result of interpretting the object as an instance of 'Custom Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGridLayout

    public T caseGridLayout(GridLayout object)

  Returns the result of interpretting the object as an instance of 'Grid Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorderLayout

    public T caseBorderLayout(BorderLayout object)

  Returns the result of interpretting the object as an instance of 'Border Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomAttribute

    public T caseCustomAttribute(CustomAttribute object)

  Returns the result of interpretting the object as an instance of 'Custom Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Attribute'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureAccessor

    public T caseFigureAccessor(FigureAccessor object)

  Returns the result of interpretting the object as an instance of 'Figure Accessor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Accessor'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFlowLayout

    public T caseFlowLayout(FlowLayout object)

  Returns the result of interpretting the object as an instance of 'Flow Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Flow Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseXYLayout

    public T caseXYLayout(XYLayout object)

  Returns the result of interpretting the object as an instance of 'XY Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseXYLayoutData

    public T caseXYLayoutData(XYLayoutData object)

  Returns the result of interpretting the object as an instance of 'XY Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStackLayout

    public T caseStackLayout(StackLayout object)

  Returns the result of interpretting the object as an instance of 'Stack Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Stack Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.